Skip to main content
PUT
/
api
/
slides
/
{slideId}
/
product-data
Update product data
curl --request PUT \
  --url https://app.demandiq.com/api/slides/{slideId}/product-data \
  --header 'Content-Type: application/json' \
  --data '
{
  "subtitle": "<string>",
  "brandLogo": "<string>",
  "disclaimer": "<string>",
  "defaultSelectedTier": "good",
  "backgroundColor": "<string>",
  "selectionColor": "<string>",
  "roundTo": 123,
  "good": {},
  "better": {},
  "best": {}
}
'

Path Parameters

slideId
string<uuid>
required

Slide ID

Body

application/json
subtitle
string
disclaimer
string
defaultSelectedTier
enum<string>
Available options:
good,
better,
best
backgroundColor
string
selectionColor
string
roundTo
number
good
object

Good tier product card

better
object

Better tier product card

best
object

Best tier product card

Response

200

Product data updated